#!/bin/sh

name="mpgtx"
title="mpgtx"
package="mpgtx"
version="1.3"
build="1"
noarch="n"
build_info="Standard build."

info="A command line MPEG audio/video/system file toolbox."
desc="mpgtx allows you to split, join, demultiplex, manipulate
ID3 tags and fetch detailed information about a variety
of MPEG files. mpgtx was designed with the good old Unix
philosophy in mind: 'do little, but do it well, and provide
the end user with an austary yet powerfull command line
interface'."
category="multimedia/tools"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,ChangeLog,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://belnet.dl.sourceforge.net/sourceforge/mpgtx/$name-$version.tgz

apply_patch foo 1

build_host_off

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: mpgtx.builder,v $
# Revision 1.2  2003/03/17 21:26:28  swiergot
# - Build 1.
# - Just a quick note on the foo patch. First of all, sorry for that name.
#   I really had a bad day and I couldn't find any good name except
#   "patch_that_makes_it_compile". And that's what the patch actually does.
#
# Revision 1.1  2003/03/17 19:51:36  swiergot
# - Initial release.
# - Version 1.3.
#
